Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231069 - CVE-2007-1217 Overflow in CAPI subsystem
Summary: CVE-2007-1217 Overflow in CAPI subsystem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Don Howard
QA Contact: Martin Jenner
URL:
Whiteboard: impact=moderate,source=vendorsec,repo...
: 402771 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-05 22:16 UTC by Marcel Holtmann
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version: RHSA-2007-0671
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-16 09:34:49 UTC


Attachments (Terms of Use)
patch for this BZ (deleted)
2007-03-26 13:52 UTC, Radovan Augustin
no flags Details | Diff
CVS repository patch, adds CONFIG_CAPI_TRACE option (deleted)
2007-03-26 13:53 UTC, Radovan Augustin
no flags Details | Diff
correct patch, only compilation tested, need to test with real hardware (deleted)
2007-03-30 13:13 UTC, Radovan Augustin
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0671 normal SHIPPED_LIVE Moderate: kernel security and bugfix update 2007-08-16 09:34:44 UTC

Description Marcel Holtmann 2007-03-05 22:16:38 UTC
The bufprint routine used by capi_cmsg2str does an unbounded vsprintf into a
8192 byte buffer, perhaps hoping it's big enough.

If the content of that vsprintf can be controlled by remote peers, this may lead
to a remote security hole for daemons using CAPI (pppd-capi-plugin,
asterisk-chan-capi, capi4hylafax, ...). Or a DoS.

If the content of that vsprintf can be controlled by local users making use of a
system service (such as sending a fax, making a phone call, ...) that uses CAPI,
this is a privilege escalation or remote authenticated user security hole, or a DoS.

Comment 2 Ernie Petrides 2007-03-13 23:49:12 UTC
Marcel, the exploit in bug 230563 comment #1 requires access to
/dev/capi20, which has permission 600 (and thus needs super-user
privileges).  If that is our only exposure, please close this as
NOTABUG.

Comment 5 Radovan Augustin 2007-03-26 13:52:13 UTC
Created attachment 150897 [details]
patch for this BZ

Comment 6 Radovan Augustin 2007-03-26 13:53:10 UTC
Created attachment 150899 [details]
CVS repository patch, adds CONFIG_CAPI_TRACE option

Comment 7 Radovan Augustin 2007-03-26 13:59:50 UTC
Compilation is successful but not tested, because i do not have ISDN card available.

Comment 8 Radovan Augustin 2007-03-26 17:30:18 UTC
Patch still contains errors, please do not test it now.

Comment 9 Radovan Augustin 2007-03-30 13:13:28 UTC
Created attachment 151273 [details]
correct patch, only compilation tested, need to test with real hardware

Comment 13 Jerome Marchand 2007-07-26 07:51:32 UTC
fixed in build 2.4.21-51.EL

Comment 16 Red Hat Bugzilla 2007-08-16 09:34:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0671.html


Comment 17 Jan Lieskovsky 2007-11-29 14:08:05 UTC
*** Bug 402771 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.